Package org.zkoss.stateless.sul

## Interface IListgroupfoot

- All Superinterfaces:
    `IChildable<IListgroupfoot,​IListcell<IAnyGroup>>`, `IComponent<IListgroupfoot>`, `IHtmlBasedComponent<IListgroupfoot>`, `IListboxComposite<IListgroupfoot>`, `IListgroupfootChild<IListgroupfoot>`, `IListitemBase<IListgroupfoot>`, `IMeshComposite<IListgroupfoot>`, `IXulElement<IListgroupfoot>`

      public interface IListgroupfoot
      extends IListgroupfootChild<IListgroupfoot>

  Immutable `Listgroupfoot` component
  Author:
    katherine
  See Also:
    `Listgroupfoot`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IListgroupfoot.Builder` | Builds instances of type `IListgroupfoot`.
    `static class` | `IListgroupfoot.Updater` | Builds an updater of type `IListgroupfoot` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IListgroupfoot` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getLabel()` | Returns the label of the first `IListcell` it contains.
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `static IListgroupfoot` | `of​(java.lang.Iterable<? extends IListcell<IAnyGroup>> children)` | Returns the instance with the given `IListcell` children.
    `static IListgroupfoot` | `of​(java.lang.String label)` | Returns the instance with the given label.
    `static IListgroupfoot` | `of​(IListcell<IAnyGroup>... children)` | Returns the instance with the given `IListcell` children.
    `static IListgroupfoot` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `IListgroupfoot` | `withLabel​(java.lang.String label)` | Returns a copy of `this` immutable component with the specified `label`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IChildable

      `getChildren, withChildren, withChildren`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IListitemBase

      `checkHflex, checkWidth, getImage, getIndex, isDisabled, isLoaded, isSelectable, isSelected, renderProperties, withDisabled, withImage, withIndex, withLoaded, withSelectable, withSelected`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final IListgroupfoot DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zkex.sel.Listgroupfoot"`

      Specified by:
        `getWidgetClass` in interface `IComponent<IListgroupfoot>`
      Returns:

    - #### getLabel

          @Nullable
          default java.lang.String getLabel()

      Returns the label of the first `IListcell` it contains.

      Default: `null`

    - #### withLabel

          IListgroupfoot withLabel​(@Nullable
                                   java.lang.String label)

      Returns a copy of `this` immutable component with the specified `label`.

      Sets the label of the first `IListcell` it contains.

      If it is not created, we automatically create it.

      Parameters:
        `label` - The label of the first `IListcell` it contains.

        Default: `null`.

      Returns:
        A modified copy of the `this` object

    - #### of

          static IListgroupfoot of​(java.lang.String label)

      Returns the instance with the given label.
      Parameters:
        `label` - The label that the first cell holds.

    - #### of

          static IListgroupfoot of​(java.lang.Iterable<? extends IListcell<IAnyGroup>> children)

      Returns the instance with the given `IListcell` children.
      Parameters:
        `children` - The children for each `IListcell`

    - #### of

          static IListgroupfoot of​(IListcell<IAnyGroup>... children)

      Returns the instance with the given `IListcell` children.
      Parameters:
        `children` - The children for each `IListcell`

    - #### ofId

          static IListgroupfoot ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component